.hide {
  display: none !important;
}
.show {
  display: block !important;
}
.invisible {
  visibility: hidden;
}

.btn-social {
  position: relative;
  padding-left: 44px;
  text-align: left;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.btn-social :first-child {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  width: 32px;
  line-height: 34px;
  font-size: 1.6em;
  text-align: center;
  border-right: 1px solid rgba(0, 0, 0, 0.2);
}
.btn-social.btn-lg {
  padding-left: 61px;
}
.btn-social.btn-lg :first-child {
  line-height: 45px;
  width: 45px;
}
.btn-social.btn-sm {
  padding-left: 38px;
}
.btn-social.btn-sm :first-child {
  line-height: 28px;
  width: 28px;
  font-size: 1.4em;
}
.btn-social.btn-xs {
  padding-left: 30px;
}
.btn-social.btn-xs :first-child {
  line-height: 20px;
  width: 20px;
  font-size: 1.2em;
}
.btn-social-icon {
  position: relative;
  padding-left: 44px;
  text-align: left;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  height: 34px;
  width: 34px;
  padding-left: 0;
  padding-right: 0;
}
.btn-social-icon :first-child {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  width: 32px;
  line-height: 34px;
  font-size: 1.6em;
  text-align: center;
  border-right: 1px solid rgba(0, 0, 0, 0.2);
}
.btn-social-icon.btn-lg {
  padding-left: 61px;
}
.btn-social-icon.btn-lg :first-child {
  line-height: 45px;
  width: 45px;
}
.btn-social-icon.btn-sm {
  padding-left: 38px;
}
.btn-social-icon.btn-sm :first-child {
  line-height: 28px;
  width: 28px;
  font-size: 1.4em;
}
.btn-social-icon.btn-xs {
  padding-left: 30px;
}
.btn-social-icon.btn-xs :first-child {
  line-height: 20px;
  width: 20px;
  font-size: 1.2em;
}
.btn-social-icon :first-child {
  border: none;
  text-align: center;
  width: 100% !important;
}
.btn-social-icon.btn-lg {
  height: 45px;
  width: 45px;
  padding-left: 0;
  padding-right: 0;
}
.btn-social-icon.btn-sm {
  height: 30px;
  width: 30px;
  padding-left: 0;
  padding-right: 0;
}
.btn-social-icon.btn-xs {
  height: 22px;
  width: 22px;
  padding-left: 0;
  padding-right: 0;
}

.auth {
  .btn-social-icon {
    margin-top: 2px;
    margin-bottom: 2px;
  }
}

.remember {
  text-align: center;
}
.remember label {
  display: inline-block;
}
.btn-bitbucket {
  color: #fff;
  background-color: #205081;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-bitbucket:focus,
.btn-bitbucket.focus {
  color: #fff;
  background-color: #163758;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-bitbucket:hover {
  color: #fff;
  background-color: #163758;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-bitbucket:active,
.btn-bitbucket.active,
.open > .dropdown-toggle.btn-bitbucket {
  color: #fff;
  background-color: #163758;
  background-image: none;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-bitbucket:active:hover,
.btn-bitbucket.active:hover,
.open > .dropdown-toggle.btn-bitbucket:hover,
.btn-bitbucket:active:focus,
.btn-bitbucket.active:focus,
.open > .dropdown-toggle.btn-bitbucket:focus,
.btn-bitbucket:active.focus,
.btn-bitbucket.active.focus,
.open > .dropdown-toggle.btn-bitbucket.focus {
  color: #fff;
  background-color: #0f253c;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-bitbucket.disabled:hover,
.btn-bitbucket[disabled]:hover,
fieldset[disabled] .btn-bitbucket:hover,
.btn-bitbucket.disabled:focus,
.btn-bitbucket[disabled]:focus,
fieldset[disabled] .btn-bitbucket:focus,
.btn-bitbucket.disabled.focus,
.btn-bitbucket[disabled].focus,
fieldset[disabled] .btn-bitbucket.focus {
  background-color: #205081;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-bitbucket .badge {
  color: #205081;
  background-color: #fff;
}
.btn-facebook {
  color: #fff;
  background-color: #3b5998;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-facebook:focus,
.btn-facebook.focus {
  color: #fff;
  background-color: #2d4373;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-facebook:hover {
  color: #fff;
  background-color: #2d4373;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-facebook:active,
.btn-facebook.active,
.open > .dropdown-toggle.btn-facebook {
  color: #fff;
  background-color: #2d4373;
  background-image: none;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-facebook:active:hover,
.btn-facebook.active:hover,
.open > .dropdown-toggle.btn-facebook:hover,
.btn-facebook:active:focus,
.btn-facebook.active:focus,
.open > .dropdown-toggle.btn-facebook:focus,
.btn-facebook:active.focus,
.btn-facebook.active.focus,
.open > .dropdown-toggle.btn-facebook.focus {
  color: #fff;
  background-color: #23345a;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-facebook.disabled:hover,
.btn-facebook[disabled]:hover,
fieldset[disabled] .btn-facebook:hover,
.btn-facebook.disabled:focus,
.btn-facebook[disabled]:focus,
fieldset[disabled] .btn-facebook:focus,
.btn-facebook.disabled.focus,
.btn-facebook[disabled].focus,
fieldset[disabled] .btn-facebook.focus {
  background-color: #3b5998;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-facebook .badge {
  color: #3b5998;
  background-color: #fff;
}
.btn-github {
  color: #fff;
  background-color: #444444;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-github:focus,
.btn-github.focus {
  color: #fff;
  background-color: #2b2b2b;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-github:hover {
  color: #fff;
  background-color: #2b2b2b;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-github:active,
.btn-github.active,
.open > .dropdown-toggle.btn-github {
  color: #fff;
  background-color: #2b2b2b;
  background-image: none;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-github:active:hover,
.btn-github.active:hover,
.open > .dropdown-toggle.btn-github:hover,
.btn-github:active:focus,
.btn-github.active:focus,
.open > .dropdown-toggle.btn-github:focus,
.btn-github:active.focus,
.btn-github.active.focus,
.open > .dropdown-toggle.btn-github.focus {
  color: #fff;
  background-color: #191919;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-github.disabled:hover,
.btn-github[disabled]:hover,
fieldset[disabled] .btn-github:hover,
.btn-github.disabled:focus,
.btn-github[disabled]:focus,
fieldset[disabled] .btn-github:focus,
.btn-github.disabled.focus,
.btn-github[disabled].focus,
fieldset[disabled] .btn-github.focus {
  background-color: #444444;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-github .badge {
  color: #444444;
  background-color: #fff;
}
.btn-google {
  color: #fff;
  background-color: #dd4b39;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-google:focus,
.btn-google.focus {
  color: #fff;
  background-color: #c23321;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-google:hover {
  color: #fff;
  background-color: #c23321;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-google:active,
.btn-google.active,
.open > .dropdown-toggle.btn-google {
  color: #fff;
  background-color: #c23321;
  background-image: none;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-google:active:hover,
.btn-google.active:hover,
.open > .dropdown-toggle.btn-google:hover,
.btn-google:active:focus,
.btn-google.active:focus,
.open > .dropdown-toggle.btn-google:focus,
.btn-google:active.focus,
.btn-google.active.focus,
.open > .dropdown-toggle.btn-google.focus {
  color: #fff;
  background-color: #a32b1c;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-google.disabled:hover,
.btn-google[disabled]:hover,
fieldset[disabled] .btn-google:hover,
.btn-google.disabled:focus,
.btn-google[disabled]:focus,
fieldset[disabled] .btn-google:focus,
.btn-google.disabled.focus,
.btn-google[disabled].focus,
fieldset[disabled] .btn-google.focus {
  background-color: #dd4b39;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-google .badge {
  color: #dd4b39;
  background-color: #fff;
}
.btn-microsoft {
  color: #fff;
  background-color: #2672ec;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-microsoft:focus,
.btn-microsoft.focus {
  color: #fff;
  background-color: #125acd;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-microsoft:hover {
  color: #fff;
  background-color: #125acd;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-microsoft:active,
.btn-microsoft.active,
.open > .dropdown-toggle.btn-microsoft {
  color: #fff;
  background-color: #125acd;
  background-image: none;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-microsoft:active:hover,
.btn-microsoft.active:hover,
.open > .dropdown-toggle.btn-microsoft:hover,
.btn-microsoft:active:focus,
.btn-microsoft.active:focus,
.open > .dropdown-toggle.btn-microsoft:focus,
.btn-microsoft:active.focus,
.btn-microsoft.active.focus,
.open > .dropdown-toggle.btn-microsoft.focus {
  color: #fff;
  background-color: #0f4bac;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-microsoft.disabled:hover,
.btn-microsoft[disabled]:hover,
fieldset[disabled] .btn-microsoft:hover,
.btn-microsoft.disabled:focus,
.btn-microsoft[disabled]:focus,
fieldset[disabled] .btn-microsoft:focus,
.btn-microsoft.disabled.focus,
.btn-microsoft[disabled].focus,
fieldset[disabled] .btn-microsoft.focus {
  background-color: #2672ec;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-microsoft .badge {
  color: #2672ec;
  background-color: #fff;
}
.btn-twitter {
  color: #fff;
  background-color: #55acee;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-twitter:focus,
.btn-twitter.focus {
  color: #fff;
  background-color: #2795e9;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-twitter:hover {
  color: #fff;
  background-color: #2795e9;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-twitter:active,
.btn-twitter.active,
.open > .dropdown-toggle.btn-twitter {
  color: #fff;
  background-color: #2795e9;
  background-image: none;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-twitter:active:hover,
.btn-twitter.active:hover,
.open > .dropdown-toggle.btn-twitter:hover,
.btn-twitter:active:focus,
.btn-twitter.active:focus,
.open > .dropdown-toggle.btn-twitter:focus,
.btn-twitter:active.focus,
.btn-twitter.active.focus,
.open > .dropdown-toggle.btn-twitter.focus {
  color: #fff;
  background-color: #1583d7;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-twitter.disabled:hover,
.btn-twitter[disabled]:hover,
fieldset[disabled] .btn-twitter:hover,
.btn-twitter.disabled:focus,
.btn-twitter[disabled]:focus,
fieldset[disabled] .btn-twitter:focus,
.btn-twitter.disabled.focus,
.btn-twitter[disabled].focus,
fieldset[disabled] .btn-twitter.focus {
  background-color: #55acee;
  border-color: rgba(0, 0, 0, 0.2);
}
.btn-twitter .badge {
  color: #55acee;
  background-color: #fff;
}
